libzypp 17.37.10

MirroredOrigin.cc File Reference
`#include "MirroredOrigin.h"`
`#include <zypp-core/base/LogTools.h>`

Go to the source code of this file.

## Classes
struct | zypp::OriginEndpoint::Private
struct | zypp::MirroredOrigin::Private
struct | zypp::MirroredOriginSet::Private

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::MirroredOrigin"

## Functions
std::ostream & | zypp::operator<< (std::ostream &str, const OriginEndpoint &url)
bool | zypp::operator< (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for std::set
bool | zypp::operator== (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for find, two OriginEndpoint's are equal when the Urls match, currently settings are not compared
bool | zypp::operator!= (const OriginEndpoint &lhs, const OriginEndpoint &rhs)
| needed for find, two OriginEndpoint's are equal when the Urls match, currently settings are not compared
std::ostream & | zypp::operator<< (std::ostream &str, const MirroredOrigin &origin)
std::ostream & | zypp::operator<< (std::ostream &str, const MirroredOriginSet &origin)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::MirroredOrigin"

Definition at line 13 of file MirroredOrigin.cc.